## org.gnu.gtk
Class Settings

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.Settings

public class Settings
extends GObject

Application settings such as theme, fonts, toolbar icon size and cursor blink times. Most of these are set in the gtk theme or gnome control center and so changing them within applications is discouraged.

These have not yet been implemented in Java-Gnome

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Settings()`

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static Handle` `gtk_settings_get_default()`
`protected static int` `gtk_settings_get_type()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Settings

    public Settings()

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_settings_get_type

    protected static final int gtk_settings_get_type()

### gtk_settings_get_default

    protected static final Handle gtk_settings_get_default()